<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use Illuminate\Support\Facades\Hash;


class UserManagementController extends Controller
{
    public function roleAccess()
    {
        return view('layouts.roles'); // View will be resources/views/user-management/roles.blade.php
    }

    public function assignRole(Request $request)
{
    $request->validate([
        'email' => 'required|email',
        'password' => 'required|string',
        'role' => 'required|in:player,coach,manager',
    ]);

    // Find user by email
    $user = User::where('email', $request->email)->first();

    if (!$user) {
        return back()->with('error', 'User not found.');
    }

    if (!Hash::check($request->password, $user->password)) {
        return back()->with('error', 'Incorrect password.');
    }

    // Assign the role
    $user->role = $request->role;
    $user->save();

    return back()->with('success', 'Role "' . $request->role . '" assigned to ' . $user->email);
}
}
